Rated 1 out of 5 stars

While I like this add-on, it has a fatal flaw. With add-on installed, the url of EVERY non-encrypted web page the user visits is reported to bit.ly. See http://go-to-hellman.blogspot.com/2010/05/bitly-preview-add-on-leaks-user.html for more details.

Save Rated 3 out of 5 stars

I'm just confused when I get the shortened URL and it asks me to save it. I want to save it as it is without anything else beside it, how do I do it or what do I type in the little box before I save it?

Daniel ..... Toronto
http://dandmb50.tumblr.com/

Save Rated 3 out of 5 stars

I'm just confused when I get the shortened URL and it asks me to save it. I want to save it as it is without anything else beside it, how do I do it or what do I type in the little box before I save it?

Daniel ..... Toronto
http://dandmb50.tumblr.com/

Rated 1 out of 5 stars

The only reason I gave this add-on a 1 star, is because I could not give it a zero. It is without a doubt, one of the very worst add-ons that I have ever seen. Perhaps if there was just 1 bit.ly shortened URL on a page, it may be slightly tolerable, but when there are multiple shortened URLs such as with places like Twitter, the performance of this add-on is simply not acceptable. It goes like this: If the add-on cannot access a site to get the actually destination of the shortened URL, your browser will just hang until the page can be accessed. Thus it is 100% pure junk! Simply avoid and save yourself a whole lot of time and aggravation.

Rated 1 out of 5 stars

annoying and intrusive. bit.ly will fade away more and more without a simple preview form on the site... there are many more to choose from. this plugin was a nightmare

Rated 1 out of 5 stars

No way to exempt internal addresses from plugin. Tends to break things like the Transmission WebUI. Support forum broken in Firefox.

Rated 2 out of 5 stars

Astonishingly, this doesn't work on www.twitter.com. I'm using Firefox 3.0.16.

This review is for a previous version of the add-on (1.266). 

Rated 1 out of 5 stars

It's ok plug-in but but it can get annoying. It sort of pops up in the way. How popup in a preset notification area (like the status bar). The glitching to show the popup sorta sucks and bothers my eyes.

This review is for a previous version of the add-on (1.266). 

Rated 4 out of 5 stars

I was not able to download from the update message so I came directly to the extension and it worked fine.

Mac OS X Snow Lepoard

This review is for a previous version of the add-on (1.266). 

Rated 3 out of 5 stars

I tried to install 1.266 (experimental version) to Fx 3.6b1 and installation succeeded.
1.266 works fine and doesn't break Larry UI of https sites (AMO is green).

# Please don't include .svn directories and .sh files in xpi package.
# It's no meaning and just waste of disk space.

This review is for a previous version of the add-on (1.266). 

Rated 3 out of 5 stars

I tried to install 1.266 (experimental version) to Fx 3.6b1 and installation succeeded.
1.266 works fine and doesn't break Larry UI of https sites (AMO is green).

# Please don't include .svn directories and .sh files in xpi package.
# It's no meaning and just waste of disk space.

This review is for a previous version of the add-on (1.266). 

Rated 3 out of 5 stars

I tried to install 1.266 (experimental version) to Fx 3.6b1 and installation succeeded.
1.266 works fine and doesn't break Larry UI of https sites (AMO is green).

# Please don't include .svn directories and .sh files in xpi package.
# It's no meaning and just waste of disk space.

This review is for a previous version of the add-on (1.266). 

Error on Update/Install Rated 2 out of 5 stars

After nearly a week, it's still kicking out the following error...

Error:
Firefox could not install the file at
https://addons.mozilla.org/downloads/file/68930/bit.ly_preview-1.265-fx.xpi?src=api
because: Invalid file hash (possible download corruption)
-261

This review is for a previous version of the add-on (1.265). 

Rated 1 out of 5 stars

It seems someone either forgot to upload the XPI or it was purged afterwards. The only XPI's on the site are 264 and 262. :-(

This review is for a previous version of the add-on (1.265). 

XPI package broken Rated 1 out of 5 stars

I can' install 1.265 with error -228 or -207.
I also downloaded 1.265 xpi but install failed.
bit.ly_preview-1.265-fx.xpi is broken. I can't open this as a zip archive, this is essentially a 404 document of AMO...

This review is for a previous version of the add-on (1.266). 

Error Installing bit.ly preview 1.265 Rated 4 out of 5 stars

Firefox could not install the file at
[snip]
because: Not a valid install package
-207

This review is for a previous version of the add-on (1.265). 

Download error Rated 3 out of 5 stars

The link to new update v.1.265 appears to be broken. Firefox gives following error:

http://releases.mozilla.org/pub/mozilla.org/addons/10297/bit.ly_preview-1.265-fx.xpi

because: Download error
-228

This review is for a previous version of the add-on (1.265). 

Rated 4 out of 5 stars

This add-on is pretty good, allows you to see what those tiny links link to.

Those who are having download problems: download the previous version (1.264).
I can't download the update either.

This review is for a previous version of the add-on (1.265). 

fail Rated 1 out of 5 stars

Firefox could not install the file at

https://addons.mozilla.org/en-US/firefox/downloads/latest/10297/addon-10297-latest.xpi?src=addondetail

because: Not a valid install package
-207

This review is for a previous version of the add-on (1.265). 

Can't install Rated 1 out of 5 stars

Can't install - gives download errors.

This review is for a previous version of the add-on (1.265).